https://bugzilla.redhat.com/show_bug.cgi?id=1509862
https://bugs.gentoo.org/916446
--- a/xpdf/GlobalParams.cc
+++ b/xpdf/GlobalParams.cc
@@ -84,20 +84,20 @@
   const char *obliqueFont;	// name of font to oblique
   double obliqueFactor;		// oblique sheer factor
 } displayFontTab[] = {
-  {"Courier",               "n022003l.pfb", "cour.ttf",    "Courier",      "Courier",                NULL,             0},
-  {"Courier-Bold",          "n022004l.pfb", "courbd.ttf",  "Courier",      "Courier Bold",           NULL,             0},
-  {"Courier-BoldOblique",   "n022024l.pfb", "courbi.ttf",  "Courier",      "Courier Bold Oblique",   "Courier-Bold",   0.212557},
-  {"Courier-Oblique",       "n022023l.pfb", "couri.ttf",   "Courier",      "Courier Oblique",        "Courier",        0.212557},
-  {"Helvetica",             "n019003l.pfb", "arial.ttf",   "Helvetica",    "Helvetica",              NULL,             0},
-  {"Helvetica-Bold",        "n019004l.pfb", "arialbd.ttf", "Helvetica",    "Helvetica Bold",         NULL,             0},
-  {"Helvetica-BoldOblique", "n019024l.pfb", "arialbi.ttf", "Helvetica",    "Helvetica Bold Oblique", "Helvetica-Bold", 0.212557},
-  {"Helvetica-Oblique",     "n019023l.pfb", "ariali.ttf",  "Helvetica",    "Helvetica Oblique",      "Helvetica",      0.212557},
-  {"Symbol",                "s050000l.pfb", NULL,          "Symbol",       "Symbol",                 NULL,             0},
-  {"Times-Bold",            "n021004l.pfb", "timesbd.ttf", "Times",        "Times Bold",             NULL,             0},
-  {"Times-BoldItalic",      "n021024l.pfb", "timesbi.ttf", "Times",        "Times Bold Italic",       NULL,             0},
-  {"Times-Italic",          "n021023l.pfb", "timesi.ttf",  "Times",        "Times Italic",           NULL,             0},
-  {"Times-Roman",           "n021003l.pfb", "times.ttf",   "Times",        "Times Roman",            NULL,             0},
-  {"ZapfDingbats",          "d050000l.pfb", NULL,          "ZapfDingbats", "Zapf Dingbats",          NULL,             0},
+  {"Courier",               "NimbusMonoPS-Regular.t1",    "cour.ttf",    "Courier",      "Courier",                NULL,             0},
+  {"Courier-Bold",          "NimbusMonoPS-Bold.t1",       "courbd.ttf",  "Courier",      "Courier Bold",           NULL,             0},
+  {"Courier-BoldOblique",   "NimbusMonoPS-BoldItalic.t1", "courbi.ttf",  "Courier",      "Courier Bold Oblique",   "Courier-Bold",   0.212557},
+  {"Courier-Oblique",       "NimbusMonoPS-Italic.t1",     "couri.ttf",   "Courier",      "Courier Oblique",        "Courier",        0.212557},
+  {"Helvetica",             "NimbusSans-Regular.t1",      "arial.ttf",   "Helvetica",    "Helvetica",              NULL,             0},
+  {"Helvetica-Bold",        "NimbusSans-Bold.t1",         "arialbd.ttf", "Helvetica",    "Helvetica Bold",         NULL,             0},
+  {"Helvetica-BoldOblique", "NimbusSans-BoldItalic.t1",   "arialbi.ttf", "Helvetica",    "Helvetica Bold Oblique", "Helvetica-Bold", 0.212557},
+  {"Helvetica-Oblique",     "NimbusSans-Italic.t1",       "ariali.ttf",  "Helvetica",    "Helvetica Oblique",      "Helvetica",      0.212557},
+  {"Symbol",                "StandardSymbolsPS.t1",       NULL,          "Symbol",       "Symbol",                 NULL,             0},
+  {"Times-Bold",            "NimbusRoman-Bold.t1",        "timesbd.ttf", "Times",        "Times Bold",             NULL,             0},
+  {"Times-BoldItalic",      "NimbusRoman-BoldItalic.t1",  "timesbi.ttf", "Times",        "Times Bold Italic",       NULL,             0},
+  {"Times-Italic",          "NimbusRoman-Italic.t1",      "timesi.ttf",  "Times",        "Times Italic",           NULL,             0},
+  {"Times-Roman",           "NimbusRoman-Regular.t1",     "times.ttf",   "Times",        "Times Roman",            NULL,             0},
+  {"ZapfDingbats",          "D050000L.t1", NULL,          "ZapfDingbats", "Zapf Dingbats",          NULL,             0},
   {NULL}
 };
 
@@ -109,6 +109,7 @@
 };
 #else
 static const char *displayFontDirs[] = {
+  "/usr/share/fonts/urw-fonts",
   "/usr/share/ghostscript/fonts",
   "/usr/local/share/ghostscript/fonts",
   "/usr/share/fonts/default/Type1",

